%define name gai-bgswitcher
%define version 0.2.3
%define release 1mdk

Name: %name
Summary: A gnome applet for switching background
Version: %{version}
Release: %{release}
License: GPL
Url: http://gai.sf.net
Group: Graphics
Source: %{name}-%{version}.tar.bz2
Source10:   %{name}-16.png
Source11:   %{name}-32.png
Source12:   %{name}-48.png
BuildRoot: %{_tmppath}/build-root-%{name}

BuildRequires: automake >= 1.4
BuildRequires: libgai-devel >= 0.5

%description
A gnome applet for switching background.

%prep
%setup -q

%build
%configure2_5x
%make 

%install
rm -rf ${RPM_BUILD_ROOT}
install -m755 %name -D $RPM_BUILD_ROOT%{_bindir}/%name
install -m644 GNOME_DefaultApplet.server -D $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
install -m644 %name-icon.png -D $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name-icon.png
install -m644 %name-icon.png -D $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name/%name-icon.png
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%name.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name} 
?package(%name): command="%{_bindir}/%name" icon="%name.png" \
                needs="X11" section="Multimedia/Graphics" \
 title="Gai-bgswitcher" longtitle="Background switcher"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc BUGS CHANGELOG README README.gai
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
%{_menudir}/%name
%{_datadir}/pixmaps/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Jan  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.3-1mdk
- spec fixes
- new version

* Sat Nov  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-2mdk
- rebuild for new gai

* Mon Sep 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.2-1mdk 
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
    - Make a spec file
